Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156921 - 2 * missing return expressions
Summary: 2 * missing return expressions
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: rsync
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-05 13:12 UTC by David Binderman
Modified: 2014-08-31 23:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-09-19 18:51:27 UTC


Attachments (Terms of Use)

Description David Binderman 2005-05-05 13:12:27 UTC
Description of problem:

I just tried to compile package rsync-2.6.4-2 from Redhat
Fedora Core development tree with the most excellent Intel C
compiler.

The compiler said

flist.c(975): warning #117: non-void function "send_file_name" should return a value
flist.c(977): warning #117: non-void function "send_file_name" should return a value

The source code is

static struct file_struct *send_file_name(int f, struct file_list *flist,
                                          char *fname, unsigned short base_flags)
{
        struct file_struct *file;

        file = make_file(fname, flist, f == -2 ? SERVER_FILTERS : ALL_FILTERS);
        if (!file)
                return NULL;
        if (!MAKE_ACL(file, fname))
                return;
        if ( ! MAKE_XATTR(file, fname ) )
                return;

Suggest add expressions to the two return statements. Maybe NULL would do ?


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jay Fenlason 2005-05-05 14:51:12 UTC
You should report this upstream at http://rsync.samba.org/bugzilla.html 
This'll give the upstream Rsync developers a chance to fix it faster than I 
can. 

Comment 2 Wayne Davison 2005-08-15 21:34:51 UTC
The upstream file patches/acls.diff was updated to fix this back in May.


Note You need to log in before you can comment on or make changes to this bug.